 #################################################################################################################
 #  Copyright (C) 2003 by ILOG.
 #  All Rights Reserved.
 #
 #  N O T I C E
 #
 #  THIS MATERIAL IS CONSIDERED A TRADE SECRET BY ILOG.
 #  UNAUTHORIZED ACCESS, USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 #
 #################################################################################################################
 
debug=false

checkSymmetry=false
checkOverlap=true
checkContiguousness=true
checkExpression=true
checkBOM=true
reportCheckingErrors=true

import.csv.separator=,
translator.cacheHtmlCode=false
# by default disabled action values are exported using a format defined by export.disabledActionValueFormat property
# set the following property to false to not export the value of disabled actions
export.exportDisabledActionValue=true
export.disabledActionValueFormat=[ {0} ]
# this symbol is used to specify the symbol to export when the column is assigned a method whith no argument.
export.noArgValue=-

ui.defaultRowCount=20
ui.defaultColumnCount=3
ui.defaultActionColumnCount=1
ui.columnMinWidth=30

ui.showColumnTooltip=true
ui.showRowTooltip=true
ui.showCellTooltip=false
ui.showRuleView=false
ui.indentRuleView=false
ui.showCollapseExpand=true
ui.showCommentTable=false
ui.autoResizeTable=true
ui.splitTable=false
ui.canEditNonInitializedCells=false
# setting this property to true allows displaying the predicate renderer on the sub column
# title when using a predicate with at least 2 arguments. 
# For example, selecting "is between [ ... and ... [" generates "[min | max[" as title.
ui.showPredicateOnTitle=false
# setting this property to true allows to edit a value that should be edited through a value
# editor directly in the table. By default, this property is false and the value can only be
# edited using the cell editor dialog box.
ui.useValueEditorInPlace=false

ui.listSeparator=;

# maximum number of row allowed when converting a Decision Table to a Decision Tree
tableToTreeConverter.maxRow=100

# customize the renderer to be used to render boolean values in condition table: possible values are checkbox or string
conditionTable.booleanRenderer=string
# customize the editor to be used to edit boolean values in condition table: possible values are checkbox or popup
conditionTable.booleanEditor=popup

# customize the renderer to be used to render boolean values in action table: possible values are checkbox or string
actionTable.booleanRenderer=checkbox
# customize the editor to be used to edit boolean values in action table: possible values are checkbox or popup
actionTable.booleanEditor=checkbox

anyRenderer.text=
noArgActionCellRenderer.text=-

ui.actionTable.background= 247,245,238
ui.commentTable.background= 247,245,238
ui.commentTable.alignment= left

# all icons related to the plugin should be stored in this file and not in messages.properties

convert.icon= images/convert
DecisionTable.icon= images/dtview
cutCell.icon= images/cut
copyCell.icon= images/copy

pasteCell.icon= images/paste
pasteSpecial.icon= images/paste
pasteBranch.icon= images/pasteb

spreadsheetView.icon=images/spreadsheet
decisionTableView.icon=images/table

editCell.icon = images/edit
editPartitionItem.icon = images/edit
insertPartitionItem.icon= images/insertitem
addPartitionItem.icon= images/additem
removeConditionColumn.icon= images/delete.png
removePartitionItem.icon= images/delete.png
removeActionColumn.icon= images/delete.png
tableOptions.icon= images/options
mergePartitionItem.icon= images/merge.png
splitPartitionItem.icon= images/split.png
moveUp.icon= images/up.png
moveDown.icon= images/down.png
newPartitionItem.icon= images/new
formatCell.icon= images/format.png
formatPartitionItem.icon= images/format.png
formatConditionColumn.icon= images/format.png
formatActionColumn.icon= images/format.png
insertConditionColumn.icon= images/insert_condition.png
addConditionColumn.icon= images/add_condition.png
sortConditionColumn.icon= images/sortdown
sortUpConditionColumn.icon= images/sortup
insertActionColumn.icon= images/insert_action.png
addActionColumn.icon= images/add_action.png

moveLeftActionColumn.icon = images/left.png
moveRightActionColumn.icon = images/right.png

editActionCell.icon = images/edit
enableDisableActionCell.icon = images/disabled.png

removeRule.icon= images/delete.png
lockPane.icon= images/lock.png
formatActionCell.icon= images/format.png
clearCell.icon= images/reset.gif
# addPartitionItemMenu.icon= images/insertrow
addPartitionItemMenu.icon= images/noicon
addAllPartitionItem.icon= images/addall.png
editPartitionItemPredicateMenu.icon= images/noicon

java.lang.Object.is.renderer== {0}
java.lang.Object.isNot.renderer=\u2260 {0}
java.lang.Object.isIn.renderer={0}
java.lang.Object.isNotIn.renderer=\u2260 {0}
java.lang.Object.equals.renderer== {0}
java.lang.Object.doesNotEqual.renderer=\u2260 {0}

java.lang.Number.is.renderer== {0}
java.lang.Number.isNot.renderer=\u2260 {0}
java.lang.Number.equals.renderer== {0}
java.lang.Number.doesNotEqual.renderer=\u2260 {0}
java.lang.Number.isGreaterThan.renderer=\u003e {0}
java.lang.Number.isGreaterThanOrEquals.renderer=\u2265 {0}
java.lang.Number.isLessThan.renderer=\u003c {0}
java.lang.Number.isLessThanOrEquals.renderer=\u2264 {0}
java.lang.Number.isBetween.renderer=[{0}
java.lang.Number.isBetween.renderer.1={0}]
java.lang.Number.isBetweenIE.renderer=[{0}
java.lang.Number.isBetweenIE.renderer.1={0}[
java.lang.Number.isBetweenEI.renderer=]{0}
java.lang.Number.isBetweenEI.renderer.1={0}]
java.lang.Number.isBetweenEE.renderer=]{0}
java.lang.Number.isBetweenEE.renderer.1={0}[

java.lang.String.is.renderer== {0}
java.lang.String.isNot.renderer=\u2260 {0}
java.lang.String.equals.renderer== {0}
java.lang.String.doesNotEqual.renderer=\u2260 {0}
# java.lang.String.isEmpty.renderer={0}
java.lang.String.contains.renderer=contains {0}
java.lang.String.doesNotContain.renderer=!contain {0}
java.lang.String.startWith.renderer=starts with {0}
java.lang.String.doesNotStartWith.renderer=!start with {0}
java.lang.String.endsWith.renderer=ends with {0}
java.lang.String.doesNotEndWith.renderer=!end with {0}

java.util.Date.is.renderer=is {0}
java.util.Date.isNot.renderer=\u2260 {0}
java.util.Date.equals.renderer=is {0}
java.util.Date.doesNotEqual.renderer=\u2260 {0}
java.util.Date.after.renderer=\u003e {0}
java.util.Date.afterOrEquals.renderer=\u2265 {0}
java.util.Date.before.renderer=\u003c {0}
java.util.Date.beforeOrEquals.renderer=\u2264 {0}
java.util.Date.isBetween.renderer=]{0}
java.util.Date.isBetween.renderer.1={0}[
java.util.Date.isBetweenIE.renderer=[{0}
java.util.Date.isBetweenIE.renderer.1={0}[
java.util.Date.isBetweenEI.renderer=]{0}
java.util.Date.isBetweenEI.renderer.1={0}]
java.util.Date.isBetweenII.renderer=[{0}
java.util.Date.isBetweenII.renderer.1={0}]

